Raspberry Pi(3) RPI.GPIOで詰まる

Raspberry Pi(3) RPI.GPIOで詰まる

そう、前回リモートで管理者権限でidleができるようになったわけですが、いざプログラムを実行させるようとするとこんなメッセージが。。

import RPI.GPIO as GPIO
RunTimeError: This module can only be run on a Raspberry Pi!

「RPI.GPIOモジュールはラズパイでないと動かんよ」的なメッセージ。
いろいろ検索してみると、GPIOモジュールはraspberry Pi zero,2,3ではない、いわゆるraspberry Pi 1のみで動くとのこと。
いや、これラズパイ1ですよ?
そもそも当時はエラーもなく動いてたんだけど、なぜだ??

時は過ぎようともこのラズパイは当時(およそ3年前)のままだから、そのままの環境だし、なぜエラーが出るのかがわからない。
いや、もうわけわからないから、そのままRPI.GPIOをインストールしてしまいます。

管理者権限でidleを起動してみる・・・


お!
エラーもでずにLチカできた!(この画面じゃわからないけど。。)
次はタクトスイッチだ!